Up

# NSTabView

### Authors

Michael Hanni (`mhanni@sprintmail.com`)

> The tabular view class

Copyright: (C) 1999,2000 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSTabView class
2. Software documentation for the NSObject(NSTabViewDelegate) informal protocol

# Software documentation for the NSTabView class

## NSTabView : NSView

> Declared in:
>   AppKit/NSTabView.h

> Conforms to:
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -addTabViewItem:
- -allowsTruncatedLabels
- -contentRect
- -controlSize
- -controlTint
- -delegate
- -drawsBackground
- -font
- -indexOfTabViewItem:
- -indexOfTabViewItemWithIdentifier:
- -insertTabViewItem:atIndex:
- -minimumSize
- -numberOfTabViewItems
- -removeTabViewItem:
- -selectFirstTabViewItem:
- -selectLastTabViewItem:
- -selectNextTabViewItem:
- -selectPreviousTabViewItem:
- -selectTabViewItem:
- -selectTabViewItemAtIndex:
- -selectTabViewItemWithIdentifier:
- -selectedTabViewItem
- -setAllowsTruncatedLabels:
- -setControlSize:
- -setControlTint:
- -setDelegate:
- -setDrawsBackground:
- -setFont:
- -setTabViewType:
- -tabViewItemAtIndex:
- -tabViewItemAtPoint:
- -tabViewItems
- -tabViewType
- -takeSelectedTabViewItemFromSender:

### addTabViewItem:

- (void) addTabViewItem: (NSTabViewItem*)tabViewItem;

Description forthcoming.

### allowsTruncatedLabels

- (BOOL) allowsTruncatedLabels;

Description forthcoming.

### contentRect

- (NSRect) contentRect;

Description forthcoming.

### controlSize

- (NSControlSize) controlSize;

Description forthcoming.

### controlTint

- (NSControlTint) controlTint;

Description forthcoming.

### delegate

- (id) delegate;

Description forthcoming.

### drawsBackground

- (BOOL) drawsBackground;

Description forthcoming.

### font

- (NSFont*) font;

Description forthcoming.

### indexOfTabViewItem:

- (int) indexOfTabViewItem: (NSTabViewItem*)tabViewItem;

Description forthcoming.

### indexOfTabViewItemWithIdentifier:

- (int) indexOfTabViewItemWithIdentifier: (id)identifier;

Description forthcoming.

### insertTabViewItem:atIndex:

- (void) insertTabViewItem: (NSTabViewItem*)tabViewItem atIndex: (int)index;

Description forthcoming.

### minimumSize

- (NSSize) minimumSize;

Description forthcoming.

### numberOfTabViewItems

- (int) numberOfTabViewItems;

Description forthcoming.

### removeTabViewItem:

- (void) removeTabViewItem: (NSTabViewItem*)tabViewItem;

Description forthcoming.

### selectFirstTabViewItem:

- (void) selectFirstTabViewItem: (id)sender;

Description forthcoming.

### selectLastTabViewItem:

- (void) selectLastTabViewItem: (id)sender;

Description forthcoming.

### selectNextTabViewItem:

- (void) selectNextTabViewItem: (id)sender;

Description forthcoming.

### selectPreviousTabViewItem:

- (void) selectPreviousTabViewItem: (id)sender;

Description forthcoming.

### selectTabViewItem:

- (void) selectTabViewItem: (NSTabViewItem*)tabViewItem;

Description forthcoming.

### selectTabViewItemAtIndex:

- (void) selectTabViewItemAtIndex: (int)index;

Description forthcoming.

### selectTabViewItemWithIdentifier:

- (void) selectTabViewItemWithIdentifier: (id)identifier;

Description forthcoming.

### selectedTabViewItem

- (NSTabViewItem*) selectedTabViewItem;

Description forthcoming.

### setAllowsTruncatedLabels:

- (void) setAllowsTruncatedLabels: (BOOL)allowTruncatedLabels;

Description forthcoming.

### setControlSize:

- (void) setControlSize: (NSControlSize)controlSize;

Not implemented.

### setControlTint:

- (void) setControlTint: (NSControlTint)controlTint;

Not implemented.

### setDelegate:

- (void) setDelegate: (id)anObject;

Description forthcoming.

### setDrawsBackground:

- (void) setDrawsBackground: (BOOL)flag;

Description forthcoming.

### setFont:

- (void) setFont: (NSFont*)font;

Description forthcoming.

### setTabViewType:

- (void) setTabViewType: (NSTabViewType)tabViewType;

Description forthcoming.

### tabViewItemAtIndex:

- (NSTabViewItem*) tabViewItemAtIndex: (int)index;

Description forthcoming.

### tabViewItemAtPoint:

- (NSTabViewItem*) tabViewItemAtPoint: (NSPoint)point;

Description forthcoming.

### tabViewItems

- (NSArray*) tabViewItems;

Description forthcoming.

### tabViewType

- (NSTabViewType) tabViewType;

Description forthcoming.

### takeSelectedTabViewItemFromSender:

- (void) takeSelectedTabViewItemFromSender: (id)sender;

Description forthcoming.

# Software documentation for the NSObject(NSTabViewDelegate) informal protocol

## NSObject(NSTabViewDelegate)

> Declared in:
>   AppKit/NSTabView.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -tabView:didSelectTabViewItem:
- -tabView:shouldSelectTabViewItem:
- -tabView:willSelectTabViewItem:
- -tabViewDidChangeNumberOfTabViewItems:

### tabView:didSelectTabViewItem:

- (void) tabView: (NSTabView*)tabView didSelectTabViewItem: (NSTabViewItem*)tabViewItem;

Description forthcoming.

### tabView:shouldSelectTabViewItem:

- (BOOL) tabView: (NSTabView*)tabView shouldSelectTabViewItem: (NSTabViewItem*)tabViewItem;

Description forthcoming.

### tabView:willSelectTabViewItem:

- (void) tabView: (NSTabView*)tabView willSelectTabViewItem: (NSTabViewItem*)tabViewItem;

Description forthcoming.

### tabViewDidChangeNumberOfTabViewItems:

- (void) tabViewDidChangeNumberOfTabViewItems: (NSTabView*)TabView;

Description forthcoming.

Up